document.addEventListener("DOMContentLoaded", function () {
  const slider = document.querySelector(".slider");
  const pagination = document.querySelector(".pagination");
  let currentIndex = 0;

  function updateSlider(index) {
    currentIndex = index;
    slider.style.transform = `translateY(-${currentIndex * 100}vh)`;
    updatePagination();
  }
  function updatePagination() {
    const buttons = pagination.querySelectorAll("button");
    buttons.forEach((button, index) => {
      button.classList.toggle("active", index === currentIndex);
    });
  }
  function handleWheel(event) {
    event.preventDefault();
    const delta = Math.sign(event.deltaY);
    const newIndex = currentIndex - delta;
    const maxIndex = slider.childElementCount - 1;

    if (newIndex >= 0 && newIndex <= maxIndex) {
      updateSlider(newIndex);
    }
  }
  document.addEventListener("wheel", handleWheel);
  // Create pagination buttons
  for (let i = 0; i < slider.childElementCount; i++) {
    const button = document.createElement("button");
    button.textContent = `Slide ${i + 1}`;
    button.addEventListener("click", () => updateSlider(i));
    pagination.appendChild(button);
  }
  updatePagination();
});